GET
/v1/apps/{applicationId}/grantsbetaapiKeyworkspace
When to use
Inspect the app’s current resource access ceiling.
For agents
Grants are independent of app revisions. Source reads require current app and viewer read permission, without source revision bindings. Action calls also require an exact action revision pin in the served app release.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.apps.listGrants('appl_abcdefghijklmnopqrstuvwx');Response
{
"data": {
"items": [
{
"resourceId": "actn_abcdefghijklmnopqrstuvwx",
"resourceType": "businessAction",
"level": "write",
"expiresAt": null
}
],
"canManage": true
}
}